// HttpHeaders.java - Defines common HTTP headers.
//
// Copyright (C) 1999-2002  Smart Software Consulting
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Smart Software Consulting
// 1688 Silverwood Court
// Danville, CA  94526-3079
// USA
//
// http://www.smartsc.com
//

package com.smartsc.http;

public interface
HttpHeaders
{
	// TODO Add other headers
	public static final String ACCEPT            = "Accept";
	public static final String ACCEPT_ENCODING   = "Accept-Encoding";
	public static final String ACCEPT_LANGUAGE   = "Accept-Language";
	public static final String ACCEPT_RANGES     = "Accept-Ranges";
	public static final String AUTHORIZATION     = "Authorization";
	public static final String CONTENT_LENGTH    = "Content-Length";
	public static final String CONTENT_TYPE      = "Content-Type";
	public static final String DATE              = "Date";
	public static final String HOST              = "Host";
	public static final String IF_MODIFIED_SINCE = "If-Modified-Since";
	public static final String LAST_MODIFIED     = "Last-Modified";
	public static final String LOCATION          = "Location";
	public static final String PROXY_CONNECTION  = "Proxy-Connection";
	public static final String SERVER            = "Server";
	public static final String SET_COOKIE        = "Set-Cookie";
	public static final String USER_AGENT        = "User-Agent";
}