package no.tip.tini.web;


import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import no.tip.tini.model.*;


public class VinValg extends HttpServlet {
	
    public void doGet(HttpServletRequest request,
            HttpServletResponse response)
            throws IOException, ServletException {

    	//leser og skriver statisk hjemmeside
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        InputStream is = getServletContext().getResourceAsStream("vintips.html");
        
        if (is !=  null) {
        	StringWriter sw = new StringWriter();
            for (int c = is.read(); c != -1; c = is.read()) {
              sw.write(c);
            }
            out.print(sw.toString());
        }
        else {
        	out.println("fant ikke vintips.html");
        }
            
    } // slutt doGet metoden

    
    public void doPost(HttpServletRequest request,
            HttpServletResponse response)
            throws IOException, ServletException {
        
        String html1 = "<html><body bgcolor='#CCFFFF'><h1 align='center'><font color='#0000FF'>";
        String html2 = "</font></h1><div align='center'><table width='400' bgcolor='#FFCCFF'><tr><td align='center'><br>";
        String html3 = "<br></td></tr></table></div></body></html>";

        String c = request.getParameter("land");        	
        
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println(html1 + c + html2);
        
        VinEksperten ve = new VinEksperten();
        Vector result = ve.getVintips(c);
                
        for (Enumeration e = result.elements(); e.hasMoreElements();) {
        	out.print((String) e.nextElement() + "<br>");
        } // slutt for

        out.println(html3);
    } // slutt doPost metoden
    
    
    
    
    
} // slutt Vinvalg klassen
